# CCXT – CryptoCurrency eXchange Trading Library

[![Build Status](https://travis-ci.org/ccxt/ccxt.svg?branch=master)](https://travis-ci.org/ccxt/ccxt) [![npm](https://img.shields.io/npm/v/ccxt.svg)](https://npmjs.com/package/ccxt) [![PyPI](https://img.shields.io/pypi/v/ccxt.svg)](https://pypi.python.org/pypi/ccxt) [![NPM Downloads](https://img.shields.io/npm/dm/ccxt.svg)](https://www.npmjs.com/package/ccxt) [![Gitter](https://badges.gitter.im/ccxt-dev/ccxt.svg)](https://gitter.im/ccxt-dev/ccxt?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge) [![Supported Exchanges](https://img.shields.io/badge/exchanges-136-blue.svg)](https://github.com/ccxt/ccxt/wiki/Exchange-Markets) [![Open Collective](https://opencollective.com/ccxt/backers/badge.svg)](https://opencollective.com/ccxt)
[![Twitter Follow](https://img.shields.io/twitter/follow/ccxt_official.svg?style=social&label=CCXT)](https://twitter.com/ccxt_official)

A JavaScript / Python / PHP library for cryptocurrency trading and e-commerce with support for many bitcoin/ether/altcoin exchange markets and merchant APIs.

### [Install](#install) · [Usage](#usage) · [Manual](https://github.com/ccxt/ccxt/wiki) · [FAQ](https://github.com/ccxt/ccxt/wiki/FAQ) · [Examples](https://github.com/ccxt/ccxt/tree/master/examples) · [Contributing](https://github.com/ccxt/ccxt/blob/master/CONTRIBUTING.md) · [Social](#social)

The **CCXT** library is used to connect and trade with cryptocurrency exchanges and payment processing services worldwide. It provides quick access to market data for storage, analysis, visualization, indicator development, algorithmic trading, strategy backtesting, bot programming, and related software engineering.

It is intended to be used by **coders, developers, technically-skilled traders, data-scientists and financial analysts** for building trading algorithms.

Current feature list:

- support for many cryptocurrency exchanges — more coming soon
- fully implemented public and private APIs
- optional normalized data for cross-exchange analytics and arbitrage
- an out of the box unified API that is extremely easy to integrate
- works in Node 7.6+, Python 2 and 3, PHP 5.4+, and web browsers

## Sponsored Promotion

Want this place? Contact us: info@ccxt.trade	

[![Placehodler](https://user-images.githubusercontent.com/1707/48204972-43569e00-e37c-11e8-9cf3-b86e3dc19ee9.png)](https://ccxt.trade/advertise/)

## See Also

- <sub>[![Nomics API](https://user-images.githubusercontent.com/1294454/53875704-2ffbcc80-4016-11e9-828b-337409955609.png)](https://p.nomics.com/cryptocurrency-bitcoin-api)</sub>&nbsp; **[Nomics API](https://p.nomics.com/cryptocurrency-bitcoin-api)** &nbsp;— &nbsp;enterprise-grade crypto market data API for your fund, smart contract, or app.

## Certified Cryptocurrency Exchanges


|&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;logo&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;                                                                             | id       | name                                                         | ver | doc                                                                                          | certified                                                                                                                  |
|---------------------------------------------------------------------------------------------------------------------------------------------------------------------|----------|--------------------------------------------------------------|:---:|:--------------------------------------------------------------------------------------------:|----------------------------------------------------------------------------------------------------------------------------|
|[![binance](https://user-images.githubusercontent.com/1294454/29604020-d5483cdc-87ee-11e7-94c7-d1a8d9169293.jpg)](https://www.binance.com/?ref=10205187)             | binance  | [Binance](https://www.binance.com/?ref=10205187)             | *   | [API](https://github.com/binance-exchange/binance-official-api-docs/blob/master/rest-api.md) | [![CCXT Certified](https://img.shields.io/badge/CCXT-certified-green.svg)](https://github.com/ccxt/ccxt/wiki/Certification) | Japan, Malta          |
|[![bitfinex](https://user-images.githubusercontent.com/1294454/27766244-e328a50c-5ed2-11e7-947b-041416579bb3.jpg)](https://www.bitfinex.com)                         | bitfinex | [Bitfinex](https://www.bitfinex.com)                         | 1   | [API](https://docs.bitfinex.com/v1/docs)                                                     | [![CCXT Certified](https://img.shields.io/badge/CCXT-certified-green.svg)](https://github.com/ccxt/ccxt/wiki/Certification) | British Virgin Islands|
|[![bittrex](https://user-images.githubusercontent.com/1294454/27766352-cf0b3c26-5ed5-11e7-82b7-f3826b7a97d8.jpg)](https://bittrex.com)                               | bittrex  | [Bittrex](https://bittrex.com)                               | 1.1 | [API](https://bittrex.github.io/api/)                                                        | [![CCXT Certified](https://img.shields.io/badge/CCXT-certified-green.svg)](https://github.com/ccxt/ccxt/wiki/Certification) | US                    |
|[![coss](https://user-images.githubusercontent.com/1294454/50328158-22e53c00-0503-11e9-825c-c5cfd79bfa74.jpg)](https://www.coss.io/c/reg?r=OWCMHQVW2Q)               | coss     | [COSS](https://www.coss.io/c/reg?r=OWCMHQVW2Q)               | 1   | [API](https://api.coss.io/v1/spec)                                                           | [![CCXT Certified](https://img.shields.io/badge/CCXT-certified-green.svg)](https://github.com/ccxt/ccxt/wiki/Certification) | Singapore, Netherlands|
|[![kraken](https://user-images.githubusercontent.com/1294454/27766599-22709304-5ede-11e7-9de1-9f33732e1509.jpg)](https://www.kraken.com)                             | kraken   | [Kraken](https://www.kraken.com)                             | 0   | [API](https://www.kraken.com/en-us/help/api)                                                 | [![CCXT Certified](https://img.shields.io/badge/CCXT-certified-green.svg)](https://github.com/ccxt/ccxt/wiki/Certification) | US                    |
|[![kucoin](https://user-images.githubusercontent.com/1294454/57369448-3cc3aa80-7196-11e9-883e-5ebeb35e4f57.jpg)](https://www.kucoin.com/ucenter/signup?rcode=E5wkqe) | kucoin   | [KuCoin](https://www.kucoin.com/ucenter/signup?rcode=E5wkqe) | 2   | [API](https://docs.kucoin.com)                                                               | [![CCXT Certified](https://img.shields.io/badge/CCXT-certified-green.svg)](https://github.com/ccxt/ccxt/wiki/Certification) | Seychelles            |
|[![theocean](https://user-images.githubusercontent.com/1294454/43103756-d56613ce-8ed7-11e8-924e-68f9d4bcacab.jpg)](https://theocean.trade)                           | theocean | [The Ocean](https://theocean.trade)                          | 1   | [API](https://docs.theocean.trade)                                                           | [![CCXT Certified](https://img.shields.io/badge/CCXT-certified-green.svg)](https://github.com/ccxt/ccxt/wiki/Certification) | US                    |
|[![upbit](https://user-images.githubusercontent.com/1294454/49245610-eeaabe00-f423-11e8-9cba-4b0aed794799.jpg)](https://upbit.com)                                   | upbit    | [Upbit](https://upbit.com)                                   | 1   | [API](https://docs.upbit.com/docs/%EC%9A%94%EC%B2%AD-%EC%88%98-%EC%A0%9C%ED%95%9C)           | [![CCXT Certified](https://img.shields.io/badge/CCXT-certified-green.svg)](https://github.com/ccxt/ccxt/wiki/Certification) | South Korea           |

## Supported Cryptocurrency Exchange Markets

The ccxt library currently supports the following 136 cryptocurrency exchange markets and trading APIs:

|&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;logo&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;                                                                                                       | id                 | name                                                                                    | ver   | doc                                                                                          | certified                                                                                                                  |
|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|--------------------|-----------------------------------------------------------------------------------------|:-----:|:--------------------------------------------------------------------------------------------:|----------------------------------------------------------------------------------------------------------------------------|
|[![_1btcxe](https://user-images.githubusercontent.com/1294454/27766049-2b294408-5ecc-11e7-85cc-adaff013dc1a.jpg)](https://1btcxe.com)                                                          | _1btcxe            | [1BTCXE](https://1btcxe.com)                                                            | *     | [API](https://1btcxe.com/api-docs.php)                                                       |                                                                                                                             | Panama                                  |
|[![acx](https://user-images.githubusercontent.com/1294454/30247614-1fe61c74-9621-11e7-9e8c-f1a627afa279.jpg)](https://acx.io)                                                                  | acx                | [ACX](https://acx.io)                                                                   | 2     | [API](https://acx.io/documents/api_v2)                                                       |                                                                                                                             | Australia                               |
|[![allcoin](https://user-images.githubusercontent.com/1294454/31561809-c316b37c-b061-11e7-8d5a-b547b4d730eb.jpg)](https://www.allcoin.com)                                                     | allcoin            | [Allcoin](https://www.allcoin.com)                                                      | 1     | [API](https://www.allcoin.com/api_market/market)                                             |                                                                                                                             | Canada                                  |
|[![anxpro](https://user-images.githubusercontent.com/1294454/27765983-fd8595da-5ec9-11e7-82e3-adb3ab8c2612.jpg)](https://anxpro.com)                                                           | anxpro             | [ANXPro](https://anxpro.com)                                                            | *     | [API](https://anxv2.docs.apiary.io)                                                          |                                                                                                                             | Japan, Singapore, Hong Kong, New Zealand|
|[![anybits](https://user-images.githubusercontent.com/1294454/41388454-ae227544-6f94-11e8-82a4-127d51d34903.jpg)](https://anybits.com)                                                         | anybits            | [Anybits](https://anybits.com)                                                          | *     | [API](https://anybits.com/help/api)                                                          |                                                                                                                             | Ireland                                 |
|[![bcex](https://user-images.githubusercontent.com/1294454/43362240-21c26622-92ee-11e8-9464-5801ec526d77.jpg)](https://www.bcex.top/user/reg/type/2/pid/758978)                                | bcex               | [BCEX](https://www.bcex.top/user/reg/type/2/pid/758978)                                 | 1     | [API](https://github.com/BCEX-TECHNOLOGY-LIMITED/API_Docs/wiki/Interface)                    |                                                                                                                             | China, Canada                           |
|[![bequant](https://user-images.githubusercontent.com/1294454/55248342-a75dfe00-525a-11e9-8aa2-05e9dca943c6.jpg)](https://hitbtc.com/?ref_id=5a5d39a65d466)                                    | bequant            | [Bequant](https://hitbtc.com/?ref_id=5a5d39a65d466)                                     | 2     | [API](https://api.bequant.io/)                                                               |                                                                                                                             | Malta                                   |
|[![bibox](https://user-images.githubusercontent.com/1294454/34902611-2be8bf1a-f830-11e7-91a2-11b2f292e750.jpg)](https://www.bibox.com/signPage?id=11114745&lang=en)                            | bibox              | [Bibox](https://www.bibox.com/signPage?id=11114745&lang=en)                             | 1     | [API](https://github.com/Biboxcom/api_reference/wiki/home_en)                                |                                                                                                                             | China, US, South Korea                  |
|[![bigone](https://user-images.githubusercontent.com/1294454/42803606-27c2b5ec-89af-11e8-8d15-9c8c245e8b2c.jpg)](https://b1.run/users/new?code=D3LLBVFT)                                       | bigone             | [BigONE](https://b1.run/users/new?code=D3LLBVFT)                                        | 2     | [API](https://open.big.one/docs/api.html)                                                    |                                                                                                                             | UK                                      |
|[![binance](https://user-images.githubusercontent.com/1294454/29604020-d5483cdc-87ee-11e7-94c7-d1a8d9169293.jpg)](https://www.binance.com/?ref=10205187)                                       | binance            | [Binance](https://www.binance.com/?ref=10205187)                                        | *     | [API](https://github.com/binance-exchange/binance-official-api-docs/blob/master/rest-api.md) | [![CCXT Certified](https://img.shields.io/badge/CCXT-certified-green.svg)](https://github.com/ccxt/ccxt/wiki/Certification) | Japan, Malta                            |
|[![binanceje](https://user-images.githubusercontent.com/1294454/54874009-d526eb00-4df3-11e9-928c-ce6a2b914cd1.jpg)](https://www.binance.je/?ref=35047921)                                      | binanceje          | [Binance Jersey](https://www.binance.je/?ref=35047921)                                  | *     | [API](https://github.com/binance-exchange/binance-official-api-docs/blob/master/rest-api.md) |                                                                                                                             | Jersey                                  |
|[![bit2c](https://user-images.githubusercontent.com/1294454/27766119-3593220e-5ece-11e7-8b3a-5a041f6bcc3f.jpg)](https://www.bit2c.co.il)                                                       | bit2c              | [Bit2C](https://www.bit2c.co.il)                                                        | *     | [API](https://www.bit2c.co.il/home/api)                                                      |                                                                                                                             | Israel                                  |
|[![bitbank](https://user-images.githubusercontent.com/1294454/37808081-b87f2d9c-2e59-11e8-894d-c1900b7584fe.jpg)](https://bitbank.cc/)                                                         | bitbank            | [bitbank](https://bitbank.cc/)                                                          | 1     | [API](https://docs.bitbank.cc/)                                                              |                                                                                                                             | Japan                                   |
|[![bitbay](https://user-images.githubusercontent.com/1294454/27766132-978a7bd8-5ece-11e7-9540-bc96d1e9bbb8.jpg)](https://bitbay.net)                                                           | bitbay             | [BitBay](https://bitbay.net)                                                            | *     | [API](https://bitbay.net/public-api)                                                         |                                                                                                                             | Malta, EU                               |
|[![bitfinex](https://user-images.githubusercontent.com/1294454/27766244-e328a50c-5ed2-11e7-947b-041416579bb3.jpg)](https://www.bitfinex.com)                                                   | bitfinex           | [Bitfinex](https://www.bitfinex.com)                                                    | 1     | [API](https://docs.bitfinex.com/v1/docs)                                                     | [![CCXT Certified](https://img.shields.io/badge/CCXT-certified-green.svg)](https://github.com/ccxt/ccxt/wiki/Certification) | British Virgin Islands                  |
|[![bitfinex2](https://user-images.githubusercontent.com/1294454/27766244-e328a50c-5ed2-11e7-947b-041416579bb3.jpg)](https://www.bitfinex.com)                                                  | bitfinex2          | [Bitfinex](https://www.bitfinex.com)                                                    | 2     | [API](https://docs.bitfinex.com/v2/docs/)                                                    |                                                                                                                             | British Virgin Islands                  |
|[![bitflyer](https://user-images.githubusercontent.com/1294454/28051642-56154182-660e-11e7-9b0d-6042d1e6edd8.jpg)](https://bitflyer.jp)                                                        | bitflyer           | [bitFlyer](https://bitflyer.jp)                                                         | 1     | [API](https://lightning.bitflyer.com/docs?lang=en)                                           |                                                                                                                             | Japan                                   |
|[![bitforex](https://user-images.githubusercontent.com/1294454/44310033-69e9e600-a3d8-11e8-873d-54d74d1bc4e4.jpg)](https://www.bitforex.com/registered?inviterId=1867438)                      | bitforex           | [Bitforex](https://www.bitforex.com/registered?inviterId=1867438)                       | 1     | [API](https://github.com/bitforexapi/API_Docs/wiki)                                          |                                                                                                                             | China                                   |
|[![bithumb](https://user-images.githubusercontent.com/1294454/30597177-ea800172-9d5e-11e7-804c-b9d4fa9b56b0.jpg)](https://www.bithumb.com)                                                     | bithumb            | [Bithumb](https://www.bithumb.com)                                                      | *     | [API](https://apidocs.bithumb.com)                                                           |                                                                                                                             | South Korea                             |
|[![bitibu](https://user-images.githubusercontent.com/1294454/45444675-c9ce6680-b6d0-11e8-95ab-3e749a940de1.jpg)](https://bitibu.com)                                                           | bitibu             | [Bitibu](https://bitibu.com)                                                            | 2     | [API](https://bitibu.com/documents/api_v2)                                                   |                                                                                                                             | Cyprus                                  |
|[![bitkk](https://user-images.githubusercontent.com/1294454/32859187-cd5214f0-ca5e-11e7-967d-96568e2e2bd1.jpg)](https://vip.zb.com/user/register?recommendCode=bn070u)                         | bitkk              | [bitkk](https://vip.zb.com/user/register?recommendCode=bn070u)                          | 1     | [API](https://www.bitkk.com/i/developer)                                                     |                                                                                                                             | China                                   |
|[![bitlish](https://user-images.githubusercontent.com/1294454/27766275-dcfc6c30-5ed3-11e7-839d-00a846385d0b.jpg)](https://bitlish.com)                                                         | bitlish            | [Bitlish](https://bitlish.com)                                                          | 1     | [API](https://bitlish.com/api)                                                               |                                                                                                                             | UK, EU, Russia                          |
|[![bitmarket](https://user-images.githubusercontent.com/1294454/27767256-a8555200-5ef9-11e7-96fd-469a65e2b0bd.jpg)](https://www.bitmarket.net/?ref=23323)                                      | bitmarket          | [BitMarket](https://www.bitmarket.net/?ref=23323)                                       | *     | [API](https://www.bitmarket.net/docs.php?file=api_public.html)                               |                                                                                                                             | Poland, EU                              |
|[![bitmex](https://user-images.githubusercontent.com/1294454/27766319-f653c6e6-5ed4-11e7-933d-f0bc3699ae8f.jpg)](https://www.bitmex.com/register/rm3C16)                                       | bitmex             | [BitMEX](https://www.bitmex.com/register/rm3C16)                                        | 1     | [API](https://www.bitmex.com/app/apiOverview)                                                |                                                                                                                             | Seychelles                              |
|[![bitsane](https://user-images.githubusercontent.com/1294454/41387105-d86bf4c6-6f8d-11e8-95ea-2fa943872955.jpg)](https://bitsane.com)                                                         | bitsane            | [Bitsane](https://bitsane.com)                                                          | *     | [API](https://bitsane.com/help/api)                                                          |                                                                                                                             | Ireland                                 |
|[![bitso](https://user-images.githubusercontent.com/1294454/27766335-715ce7aa-5ed5-11e7-88a8-173a27bb30fe.jpg)](https://bitso.com/?ref=itej)                                                   | bitso              | [Bitso](https://bitso.com/?ref=itej)                                                    | 3     | [API](https://bitso.com/api_info)                                                            |                                                                                                                             | Mexico                                  |
|[![bitstamp](https://user-images.githubusercontent.com/1294454/27786377-8c8ab57e-5fe9-11e7-8ea4-2b05b6bcceec.jpg)](https://www.bitstamp.net)                                                   | bitstamp           | [Bitstamp](https://www.bitstamp.net)                                                    | 2     | [API](https://www.bitstamp.net/api)                                                          |                                                                                                                             | UK                                      |
|[![bitstamp1](https://user-images.githubusercontent.com/1294454/27786377-8c8ab57e-5fe9-11e7-8ea4-2b05b6bcceec.jpg)](https://www.bitstamp.net)                                                  | bitstamp1          | [Bitstamp](https://www.bitstamp.net)                                                    | 1     | [API](https://www.bitstamp.net/api)                                                          |                                                                                                                             | UK                                      |
|[![bittrex](https://user-images.githubusercontent.com/1294454/27766352-cf0b3c26-5ed5-11e7-82b7-f3826b7a97d8.jpg)](https://bittrex.com)                                                         | bittrex            | [Bittrex](https://bittrex.com)                                                          | 1.1   | [API](https://bittrex.github.io/api/)                                                        | [![CCXT Certified](https://img.shields.io/badge/CCXT-certified-green.svg)](https://github.com/ccxt/ccxt/wiki/Certification) | US                                      |
|[![bitz](https://user-images.githubusercontent.com/1294454/35862606-4f554f14-0b5d-11e8-957d-35058c504b6f.jpg)](https://u.bit-z.com/register?invite_code=1429193)                               | bitz               | [Bit-Z](https://u.bit-z.com/register?invite_code=1429193)                               | 2     | [API](https://apidoc.bit-z.com/en/)                                                          |                                                                                                                             | Hong Kong                               |
|[![bl3p](https://user-images.githubusercontent.com/1294454/28501752-60c21b82-6feb-11e7-818b-055ee6d0e754.jpg)](https://bl3p.eu)                                                                | bl3p               | [BL3P](https://bl3p.eu)                                                                 | 1     | [API](https://github.com/BitonicNL/bl3p-api/tree/master/docs)                                |                                                                                                                             | Netherlands, EU                         |
|[![bleutrade](https://user-images.githubusercontent.com/1294454/30303000-b602dbe6-976d-11e7-956d-36c5049c01e7.jpg)](https://bleutrade.com)                                                     | bleutrade          | [Bleutrade](https://bleutrade.com)                                                      | 2     | [API](https://bleutrade.com/help/API)                                                        |                                                                                                                             | Brazil                                  |
|[![braziliex](https://user-images.githubusercontent.com/1294454/34703593-c4498674-f504-11e7-8d14-ff8e44fb78c1.jpg)](https://braziliex.com/?ref=5FE61AB6F6D67DA885BC98BA27223465)               | braziliex          | [Braziliex](https://braziliex.com/?ref=5FE61AB6F6D67DA885BC98BA27223465)                | *     | [API](https://braziliex.com/exchange/api.php)                                                |                                                                                                                             | Brazil                                  |
|[![btcalpha](https://user-images.githubusercontent.com/1294454/42625213-dabaa5da-85cf-11e8-8f99-aa8f8f7699f0.jpg)](https://btc-alpha.com/?r=123788)                                            | btcalpha           | [BTC-Alpha](https://btc-alpha.com/?r=123788)                                            | 1     | [API](https://btc-alpha.github.io/api-docs)                                                  |                                                                                                                             | US                                      |
|[![btcbox](https://user-images.githubusercontent.com/1294454/31275803-4df755a8-aaa1-11e7-9abb-11ec2fad9f2d.jpg)](https://www.btcbox.co.jp/)                                                    | btcbox             | [BtcBox](https://www.btcbox.co.jp/)                                                     | 1     | [API](https://www.btcbox.co.jp/help/asm)                                                     |                                                                                                                             | Japan                                   |
|[![btcchina](https://user-images.githubusercontent.com/1294454/27766368-465b3286-5ed6-11e7-9a11-0f6467e1d82b.jpg)](https://www.btcchina.com)                                                   | btcchina           | [BTCChina](https://www.btcchina.com)                                                    | 1     | [API](https://www.btcchina.com/apidocs)                                                      |                                                                                                                             | China                                   |
|[![btcexchange](https://user-images.githubusercontent.com/1294454/27993052-4c92911a-64aa-11e7-96d8-ec6ac3435757.jpg)](https://www.btcexchange.ph)                                              | btcexchange        | [BTCExchange](https://www.btcexchange.ph)                                               | *     | [API](https://github.com/BTCTrader/broker-api-docs)                                          |                                                                                                                             | Philippines                             |
|[![btcmarkets](https://user-images.githubusercontent.com/1294454/29142911-0e1acfc2-7d5c-11e7-98c4-07d9532b29d7.jpg)](https://btcmarkets.net)                                                   | btcmarkets         | [BTC Markets](https://btcmarkets.net)                                                   | *     | [API](https://github.com/BTCMarkets/API)                                                     |                                                                                                                             | Australia                               |
|[![btctradeim](https://user-images.githubusercontent.com/1294454/36770531-c2142444-1c5b-11e8-91e2-a4d90dc85fe8.jpg)](http://www.coinegg.com/user/register?invite=523218)                       | btctradeim         | [BtcTrade.im](http://www.coinegg.com/user/register?invite=523218)                       | *     | [API](https://www.btctrade.im/help.api.html)                                                 |                                                                                                                             | Hong Kong                               |
|[![btctradeua](https://user-images.githubusercontent.com/1294454/27941483-79fc7350-62d9-11e7-9f61-ac47f28fcd96.jpg)](https://btc-trade.com.ua)                                                 | btctradeua         | [BTC Trade UA](https://btc-trade.com.ua)                                                | *     | [API](https://docs.google.com/document/d/1ocYA0yMy_RXd561sfG3qEPZ80kyll36HUxvCRe5GbhE/edit)  |                                                                                                                             | Ukraine                                 |
|[![btcturk](https://user-images.githubusercontent.com/1294454/27992709-18e15646-64a3-11e7-9fa2-b0950ec7712f.jpg)](https://www.btcturk.com)                                                     | btcturk            | [BTCTurk](https://www.btcturk.com)                                                      | *     | [API](https://github.com/BTCTrader/broker-api-docs)                                          |                                                                                                                             | Turkey                                  |
|[![buda](https://user-images.githubusercontent.com/1294454/47380619-8a029200-d706-11e8-91e0-8a391fe48de3.jpg)](https://www.buda.com)                                                           | buda               | [Buda](https://www.buda.com)                                                            | 2     | [API](https://api.buda.com)                                                                  |                                                                                                                             | Argentina, Chile, Colombia, Peru        |
|[![bxinth](https://user-images.githubusercontent.com/1294454/27766412-567b1eb4-5ed7-11e7-94a8-ff6a3884f6c5.jpg)](https://bx.in.th)                                                             | bxinth             | [BX.in.th](https://bx.in.th)                                                            | *     | [API](https://bx.in.th/info/api)                                                             |                                                                                                                             | Thailand                                |
|[![ccex](https://user-images.githubusercontent.com/1294454/27766433-16881f90-5ed8-11e7-92f8-3d92cc747a6c.jpg)](https://c-cex.com)                                                              | ccex               | [C-CEX](https://c-cex.com)                                                              | *     | [API](https://c-cex.com/?id=api)                                                             |                                                                                                                             | Germany, EU                             |
|[![cex](https://user-images.githubusercontent.com/1294454/27766442-8ddc33b0-5ed8-11e7-8b98-f786aef0f3c9.jpg)](https://cex.io/r/0/up105393824/0/)                                               | cex                | [CEX.IO](https://cex.io/r/0/up105393824/0/)                                             | *     | [API](https://cex.io/cex-api)                                                                |                                                                                                                             | UK, EU, Cyprus, Russia                  |
|[![chbtc](https://user-images.githubusercontent.com/1294454/28555659-f0040dc2-7109-11e7-9d99-688a438bf9f4.jpg)](https://vip.zb.com/user/register?recommendCode=bn070u)                         | chbtc              | [CHBTC](https://vip.zb.com/user/register?recommendCode=bn070u)                          | 1     | [API](https://www.chbtc.com/i/developer)                                                     |                                                                                                                             | China                                   |
|[![chilebit](https://user-images.githubusercontent.com/1294454/27991414-1298f0d8-647f-11e7-9c40-d56409266336.jpg)](https://chilebit.net)                                                       | chilebit           | [ChileBit](https://chilebit.net)                                                        | 1     | [API](https://blinktrade.com/docs)                                                           |                                                                                                                             | Chile                                   |
|[![cobinhood](https://user-images.githubusercontent.com/1294454/35755576-dee02e5c-0878-11e8-989f-1595d80ba47f.jpg)](https://cobinhood.com)                                                     | cobinhood          | [COBINHOOD](https://cobinhood.com)                                                      | 1     | [API](https://cobinhood.github.io/api-public)                                                |                                                                                                                             | Taiwan                                  |
|[![coinbase](https://user-images.githubusercontent.com/1294454/40811661-b6eceae2-653a-11e8-829e-10bfadb078cf.jpg)](https://www.coinbase.com/join/58cbe25a355148797479dbd2)                     | coinbase           | [Coinbase](https://www.coinbase.com/join/58cbe25a355148797479dbd2)                      | 2     | [API](https://developers.coinbase.com/api/v2)                                                |                                                                                                                             | US                                      |
|[![coinbaseprime](https://user-images.githubusercontent.com/1294454/44539184-29f26e00-a70c-11e8-868f-e907fc236a7c.jpg)](https://prime.coinbase.com)                                            | coinbaseprime      | [Coinbase Prime](https://prime.coinbase.com)                                            | *     | [API](https://docs.prime.coinbase.com)                                                       |                                                                                                                             | US                                      |
|[![coinbasepro](https://user-images.githubusercontent.com/1294454/41764625-63b7ffde-760a-11e8-996d-a6328fa9347a.jpg)](https://pro.coinbase.com/)                                               | coinbasepro        | [Coinbase Pro](https://pro.coinbase.com/)                                               | *     | [API](https://docs.pro.coinbase.com/)                                                        |                                                                                                                             | US                                      |
|[![coincheck](https://user-images.githubusercontent.com/1294454/27766464-3b5c3c74-5ed9-11e7-840e-31b32968e1da.jpg)](https://coincheck.com)                                                     | coincheck          | [coincheck](https://coincheck.com)                                                      | *     | [API](https://coincheck.com/documents/exchange/api)                                          |                                                                                                                             | Japan, Indonesia                        |
|[![coinegg](https://user-images.githubusercontent.com/1294454/36770310-adfa764e-1c5a-11e8-8e09-449daac3d2fb.jpg)](http://www.coinegg.com/user/register?invite=523218)                          | coinegg            | [CoinEgg](http://www.coinegg.com/user/register?invite=523218)                           | *     | [API](https://www.coinegg.com/explain.api.html)                                              |                                                                                                                             | China, UK                               |
|[![coinex](https://user-images.githubusercontent.com/1294454/38046312-0b450aac-32c8-11e8-99ab-bc6b136b6cc7.jpg)](https://www.coinex.com/account/signup?refer_code=yw5fz)                       | coinex             | [CoinEx](https://www.coinex.com/account/signup?refer_code=yw5fz)                        | 1     | [API](https://github.com/coinexcom/coinex_exchange_api/wiki)                                 |                                                                                                                             | China                                   |
|[![coinexchange](https://user-images.githubusercontent.com/1294454/34842303-29c99fca-f71c-11e7-83c1-09d900cb2334.jpg)](https://www.coinexchange.io)                                            | coinexchange       | [CoinExchange](https://www.coinexchange.io)                                             | *     | [API](https://coinexchangeio.github.io/slate/)                                               |                                                                                                                             | India, Japan, South Korea, Vietnam, US  |
|[![coinfalcon](https://user-images.githubusercontent.com/1294454/41822275-ed982188-77f5-11e8-92bb-496bcd14ca52.jpg)](https://coinfalcon.com/?ref=CFJSVGTUPASB)                                 | coinfalcon         | [CoinFalcon](https://coinfalcon.com/?ref=CFJSVGTUPASB)                                  | 1     | [API](https://docs.coinfalcon.com)                                                           |                                                                                                                             | UK                                      |
|[![coinfloor](https://user-images.githubusercontent.com/1294454/28246081-623fc164-6a1c-11e7-913f-bac0d5576c90.jpg)](https://www.coinfloor.co.uk)                                               | coinfloor          | [coinfloor](https://www.coinfloor.co.uk)                                                | *     | [API](https://github.com/coinfloor/api)                                                      |                                                                                                                             | UK                                      |
|[![coingi](https://user-images.githubusercontent.com/1294454/28619707-5c9232a8-7212-11e7-86d6-98fe5d15cc6e.jpg)](https://coingi.com)                                                           | coingi             | [Coingi](https://coingi.com)                                                            | *     | [API](https://coingi.docs.apiary.io)                                                         |                                                                                                                             | Panama, Bulgaria, China, US             |
|[![coinmarketcap](https://user-images.githubusercontent.com/1294454/28244244-9be6312a-69ed-11e7-99c1-7c1797275265.jpg)](https://coinmarketcap.com)                                             | coinmarketcap      | [CoinMarketCap](https://coinmarketcap.com)                                              | 1     | [API](https://coinmarketcap.com/api)                                                         |                                                                                                                             | US                                      |
|[![coinmate](https://user-images.githubusercontent.com/1294454/27811229-c1efb510-606c-11e7-9a36-84ba2ce412d8.jpg)](https://coinmate.io?referral=YTFkM1RsOWFObVpmY1ZjMGREQmpTRnBsWjJJNVp3PT0)   | coinmate           | [CoinMate](https://coinmate.io?referral=YTFkM1RsOWFObVpmY1ZjMGREQmpTRnBsWjJJNVp3PT0)    | *     | [API](https://coinmate.docs.apiary.io)                                                       |                                                                                                                             | UK, Czech Republic, EU                  |
|[![coinnest](https://user-images.githubusercontent.com/1294454/38065728-7289ff5c-330d-11e8-9cc1-cf0cbcb606bc.jpg)](https://www.coinnest.co.kr)                                                 | coinnest           | [coinnest](https://www.coinnest.co.kr)                                                  | *     | [API](https://www.coinnest.co.kr/doc/intro.html)                                             |                                                                                                                             | South Korea                             |
|[![coinone](https://user-images.githubusercontent.com/1294454/38003300-adc12fba-323f-11e8-8525-725f53c4a659.jpg)](https://coinone.co.kr)                                                       | coinone            | [CoinOne](https://coinone.co.kr)                                                        | 2     | [API](https://doc.coinone.co.kr)                                                             |                                                                                                                             | South Korea                             |
|[![coinspot](https://user-images.githubusercontent.com/1294454/28208429-3cacdf9a-6896-11e7-854e-4c79a772a30f.jpg)](https://www.coinspot.com.au)                                                | coinspot           | [CoinSpot](https://www.coinspot.com.au)                                                 | *     | [API](https://www.coinspot.com.au/api)                                                       |                                                                                                                             | Australia                               |
|[![cointiger](https://user-images.githubusercontent.com/1294454/39797261-d58df196-5363-11e8-9880-2ec78ec5bd25.jpg)](https://www.cointiger.pro/exchange/register.html?refCode=FfvDtt)           | cointiger          | [CoinTiger](https://www.cointiger.pro/exchange/register.html?refCode=FfvDtt)            | 1     | [API](https://github.com/cointiger/api-docs-en/wiki)                                         |                                                                                                                             | China                                   |
|[![coolcoin](https://user-images.githubusercontent.com/1294454/36770529-be7b1a04-1c5b-11e8-9600-d11f1996b539.jpg)](http://www.coinegg.com/user/register?invite=523218)                         | coolcoin           | [CoolCoin](http://www.coinegg.com/user/register?invite=523218)                          | *     | [API](https://www.coolcoin.com/help.api.html)                                                |                                                                                                                             | Hong Kong                               |
|[![coss](https://user-images.githubusercontent.com/1294454/50328158-22e53c00-0503-11e9-825c-c5cfd79bfa74.jpg)](https://www.coss.io/c/reg?r=OWCMHQVW2Q)                                         | coss               | [COSS](https://www.coss.io/c/reg?r=OWCMHQVW2Q)                                          | 1     | [API](https://api.coss.io/v1/spec)                                                           | [![CCXT Certified](https://img.shields.io/badge/CCXT-certified-green.svg)](https://github.com/ccxt/ccxt/wiki/Certification) | Singapore, Netherlands                  |
|[![crex24](https://user-images.githubusercontent.com/1294454/47813922-6f12cc00-dd5d-11e8-97c6-70f957712d47.jpg)](https://crex24.com/?refid=slxsjsjtil8xexl9hksr)                               | crex24             | [CREX24](https://crex24.com/?refid=slxsjsjtil8xexl9hksr)                                | 2     | [API](https://docs.crex24.com/trade-api/v2)                                                  |                                                                                                                             | Estonia                                 |
|[![crypton](https://user-images.githubusercontent.com/1294454/41334251-905b5a78-6eed-11e8-91b9-f3aa435078a1.jpg)](https://cryptonbtc.com)                                                      | crypton            | [Crypton](https://cryptonbtc.com)                                                       | 1     | [API](https://cryptonbtc.docs.apiary.io/)                                                    |                                                                                                                             | EU                                      |
|[![deribit](https://user-images.githubusercontent.com/1294454/41933112-9e2dd65a-798b-11e8-8440-5bab2959fcb8.jpg)](https://www.deribit.com/reg-1189.4038)                                       | deribit            | [Deribit](https://www.deribit.com/reg-1189.4038)                                        | 1     | [API](https://docs.deribit.com)                                                              |                                                                                                                             | Netherlands                             |
|[![dsx](https://user-images.githubusercontent.com/1294454/27990275-1413158a-645a-11e7-931c-94717f7510e3.jpg)](https://dsx.uk)                                                                  | dsx                | [DSX](https://dsx.uk)                                                                   | 2     | [API](https://api.dsx.uk)                                                                    |                                                                                                                             | UK                                      |
|[![dx](https://user-images.githubusercontent.com/1294454/57979980-6483ff80-7a2d-11e9-9224-2aa20665703b.jpg)](https://dx.exchange/registration?dx_cid=20&dx_scname=100001100000038139)          | dx                 | [DX.Exchange](https://dx.exchange/registration?dx_cid=20&dx_scname=100001100000038139)  | 1     | [API](https://apidocs.dx.exchange)                                                           |                                                                                                                             | UK, EU                                  |
|[![ethfinex](https://user-images.githubusercontent.com/1294454/37555526-7018a77c-29f9-11e8-8835-8e415c038a18.jpg)](https://www.ethfinex.com)                                                   | ethfinex           | [Ethfinex](https://www.ethfinex.com)                                                    | 1     | [API](https://bitfinex.readme.io/v1/docs)                                                    |                                                                                                                             | British Virgin Islands                  |
|[![exmo](https://user-images.githubusercontent.com/1294454/27766491-1b0ea956-5eda-11e7-9225-40d67b481b8d.jpg)](https://exmo.me/?ref=131685)                                                    | exmo               | [EXMO](https://exmo.me/?ref=131685)                                                     | 1     | [API](https://exmo.me/en/api_doc?ref=131685)                                                 |                                                                                                                             | Spain, Russia                           |
|[![exx](https://user-images.githubusercontent.com/1294454/37770292-fbf613d0-2de4-11e8-9f79-f2dc451b8ccb.jpg)](https://www.exx.com/r/fde4260159e53ab8a58cc9186d35501f)                          | exx                | [EXX](https://www.exx.com/r/fde4260159e53ab8a58cc9186d35501f)                           | *     | [API](https://www.exx.com/help/restApi)                                                      |                                                                                                                             | China                                   |
|[![fcoin](https://user-images.githubusercontent.com/1294454/42244210-c8c42e1e-7f1c-11e8-8710-a5fb63b165c4.jpg)](https://www.fcoin.com/i/Z5P7V)                                                 | fcoin              | [FCoin](https://www.fcoin.com/i/Z5P7V)                                                  | 2     | [API](https://developer.fcoin.com)                                                           |                                                                                                                             | China                                   |
|[![fcoinjp](https://user-images.githubusercontent.com/1294454/54219174-08b66b00-4500-11e9-862d-f522d0fe08c6.jpg)](https://www.fcoinjp.com)                                                     | fcoinjp            | [FCoinJP](https://www.fcoinjp.com)                                                      | 2     | [API](https://developer.fcoin.com)                                                           |                                                                                                                             | Japan                                   |
|[![flowbtc](https://user-images.githubusercontent.com/1294454/28162465-cd815d4c-67cf-11e7-8e57-438bea0523a2.jpg)](https://trader.flowbtc.com)                                                  | flowbtc            | [flowBTC](https://trader.flowbtc.com)                                                   | 1     | [API](https://www.flowbtc.com.br/api.html)                                                   |                                                                                                                             | Brazil                                  |
|[![foxbit](https://user-images.githubusercontent.com/1294454/27991413-11b40d42-647f-11e7-91ee-78ced874dd09.jpg)](https://foxbit.exchange)                                                      | foxbit             | [FoxBit](https://foxbit.exchange)                                                       | 1     | [API](https://blinktrade.com/docs)                                                           |                                                                                                                             | Brazil                                  |
|[![fybse](https://user-images.githubusercontent.com/1294454/27766512-31019772-5edb-11e7-8241-2e675e6797f1.jpg)](https://www.fybse.se)                                                          | fybse              | [FYB-SE](https://www.fybse.se)                                                          | *     | [API](https://fyb.docs.apiary.io)                                                            |                                                                                                                             | Sweden                                  |
|[![fybsg](https://user-images.githubusercontent.com/1294454/27766513-3364d56a-5edb-11e7-9e6b-d5898bb89c81.jpg)](https://www.fybsg.com)                                                         | fybsg              | [FYB-SG](https://www.fybsg.com)                                                         | *     | [API](https://fyb.docs.apiary.io)                                                            |                                                                                                                             | Singapore                               |
|[![gateio](https://user-images.githubusercontent.com/1294454/31784029-0313c702-b509-11e7-9ccc-bc0da6a0e435.jpg)](https://www.gate.io/signup/2436035)                                           | gateio             | [Gate.io](https://www.gate.io/signup/2436035)                                           | 2     | [API](https://gate.io/api2)                                                                  |                                                                                                                             | China                                   |
|[![gdax](https://user-images.githubusercontent.com/1294454/27766527-b1be41c6-5edb-11e7-95f6-5b496c469e2c.jpg)](https://www.gdax.com)                                                           | gdax               | [GDAX](https://www.gdax.com)                                                            | *     | [API](https://docs.gdax.com)                                                                 |                                                                                                                             | US                                      |
|[![gemini](https://user-images.githubusercontent.com/1294454/27816857-ce7be644-6096-11e7-82d6-3c257263229c.jpg)](https://gemini.com)                                                           | gemini             | [Gemini](https://gemini.com)                                                            | 1     | [API](https://docs.gemini.com/rest-api)                                                      |                                                                                                                             | US                                      |
|[![getbtc](https://user-images.githubusercontent.com/1294454/33801902-03c43462-dd7b-11e7-992e-077e4cd015b9.jpg)](https://getbtc.org)                                                           | getbtc             | [GetBTC](https://getbtc.org)                                                            | *     | [API](https://getbtc.org/api-docs.php)                                                       |                                                                                                                             | St. Vincent & Grenadines, Russia        |
|[![hadax](https://user-images.githubusercontent.com/1294454/38059952-4756c49e-32f1-11e8-90b9-45c1eccba9cd.jpg)](https://www.huobi.br.com/en-us/topic/invited/?invite_code=rwrd3)               | hadax              | [HADAX](https://www.huobi.br.com/en-us/topic/invited/?invite_code=rwrd3)                | 1     | [API](https://github.com/huobiapi/API_Docs/wiki)                                             |                                                                                                                             | China                                   |
|[![hitbtc](https://user-images.githubusercontent.com/1294454/27766555-8eaec20e-5edc-11e7-9c5b-6dc69fc42f5e.jpg)](https://hitbtc.com/?ref_id=5a5d39a65d466)                                     | hitbtc             | [HitBTC](https://hitbtc.com/?ref_id=5a5d39a65d466)                                      | 1     | [API](https://github.com/hitbtc-com/hitbtc-api/blob/master/APIv1.md)                         |                                                                                                                             | Hong Kong                               |
|[![hitbtc2](https://user-images.githubusercontent.com/1294454/27766555-8eaec20e-5edc-11e7-9c5b-6dc69fc42f5e.jpg)](https://hitbtc.com/?ref_id=5a5d39a65d466)                                    | hitbtc2            | [HitBTC](https://hitbtc.com/?ref_id=5a5d39a65d466)                                      | 2     | [API](https://api.hitbtc.com)                                                                |                                                                                                                             | Hong Kong                               |
|[![huobipro](https://user-images.githubusercontent.com/1294454/27766569-15aa7b9a-5edd-11e7-9e7f-44791f4ee49c.jpg)](https://www.huobi.br.com/en-us/topic/invited/?invite_code=rwrd3)            | huobipro           | [Huobi Pro](https://www.huobi.br.com/en-us/topic/invited/?invite_code=rwrd3)            | 1     | [API](https://github.com/huobiapi/API_Docs/wiki/REST_api_reference)                          |                                                                                                                             | China                                   |
|[![huobiru](https://user-images.githubusercontent.com/1294454/52978816-e8552e00-33e3-11e9-98ed-845acfece834.jpg)](https://www.huobi.com.ru/invite?invite_code=esc74)                           | huobiru            | [Huobi Russia](https://www.huobi.com.ru/invite?invite_code=esc74)                       | 1     | [API](https://github.com/cloudapidoc/API_Docs_en)                                            |                                                                                                                             | Russia                                  |
|[![ice3x](https://user-images.githubusercontent.com/1294454/38012176-11616c32-3269-11e8-9f05-e65cf885bb15.jpg)](https://ice3x.com?ref=14341802)                                                | ice3x              | [ICE3X](https://ice3x.com?ref=14341802)                                                 | 1     | [API](https://ice3x.co.za/ice-cubed-bitcoin-exchange-api-documentation-1-june-2017)          |                                                                                                                             | South Africa                            |
|[![independentreserve](https://user-images.githubusercontent.com/1294454/30521662-cf3f477c-9bcb-11e7-89bc-d1ac85012eda.jpg)](https://www.independentreserve.com)                               | independentreserve | [Independent Reserve](https://www.independentreserve.com)                               | *     | [API](https://www.independentreserve.com/API)                                                |                                                                                                                             | Australia, New Zealand                  |
|[![indodax](https://user-images.githubusercontent.com/1294454/37443283-2fddd0e4-281c-11e8-9741-b4f1419001b5.jpg)](https://indodax.com/ref/testbitcoincoid/1)                                   | indodax            | [INDODAX](https://indodax.com/ref/testbitcoincoid/1)                                    | 1.8   | [API](https://indodax.com/downloads/BITCOINCOID-API-DOCUMENTATION.pdf)                       |                                                                                                                             | Indonesia                               |
|[![itbit](https://user-images.githubusercontent.com/1294454/27822159-66153620-60ad-11e7-89e7-005f6d7f3de0.jpg)](https://www.itbit.com)                                                         | itbit              | [itBit](https://www.itbit.com)                                                          | 1     | [API](https://api.itbit.com/docs)                                                            |                                                                                                                             | US                                      |
|[![jubi](https://user-images.githubusercontent.com/1294454/27766581-9d397d9a-5edd-11e7-8fb9-5d8236c0e692.jpg)](https://www.jubi.com)                                                           | jubi               | [jubi.com](https://www.jubi.com)                                                        | 1     | [API](https://www.jubi.com/help/api.html)                                                    |                                                                                                                             | China                                   |
|[![kkex](https://user-images.githubusercontent.com/1294454/47401462-2e59f800-d74a-11e8-814f-e4ae17b4968a.jpg)](https://kkex.com)                                                               | kkex               | [KKEX](https://kkex.com)                                                                | 2     | [API](https://kkex.com/api_wiki/cn/)                                                         |                                                                                                                             | China, US, Japan                        |
|[![kraken](https://user-images.githubusercontent.com/1294454/27766599-22709304-5ede-11e7-9de1-9f33732e1509.jpg)](https://www.kraken.com)                                                       | kraken             | [Kraken](https://www.kraken.com)                                                        | 0     | [API](https://www.kraken.com/en-us/help/api)                                                 | [![CCXT Certified](https://img.shields.io/badge/CCXT-certified-green.svg)](https://github.com/ccxt/ccxt/wiki/Certification) | US                                      |
|[![kucoin](https://user-images.githubusercontent.com/1294454/57369448-3cc3aa80-7196-11e9-883e-5ebeb35e4f57.jpg)](https://www.kucoin.com/ucenter/signup?rcode=E5wkqe)                           | kucoin             | [KuCoin](https://www.kucoin.com/ucenter/signup?rcode=E5wkqe)                            | 2     | [API](https://docs.kucoin.com)                                                               | [![CCXT Certified](https://img.shields.io/badge/CCXT-certified-green.svg)](https://github.com/ccxt/ccxt/wiki/Certification) | Seychelles                              |
|[![kuna](https://user-images.githubusercontent.com/1294454/31697638-912824fa-b3c1-11e7-8c36-cf9606eb94ac.jpg)](https://kuna.io)                                                                | kuna               | [Kuna](https://kuna.io)                                                                 | 2     | [API](https://kuna.io/documents/api)                                                         |                                                                                                                             | Ukraine                                 |
|[![lakebtc](https://user-images.githubusercontent.com/1294454/28074120-72b7c38a-6660-11e7-92d9-d9027502281d.jpg)](https://www.lakebtc.com)                                                     | lakebtc            | [LakeBTC](https://www.lakebtc.com)                                                      | 2     | [API](https://www.lakebtc.com/s/api_v2)                                                      |                                                                                                                             | US                                      |
|[![lbank](https://user-images.githubusercontent.com/1294454/38063602-9605e28a-3302-11e8-81be-64b1e53c4cfb.jpg)](https://www.lbank.info/sign-up.html?icode=7QCY&lang=en-US)                     | lbank              | [LBank](https://www.lbank.info/sign-up.html?icode=7QCY&lang=en-US)                      | 1     | [API](https://github.com/LBank-exchange/lbank-official-api-docs)                             |                                                                                                                             | China                                   |
|[![liqui](https://user-images.githubusercontent.com/1294454/27982022-75aea828-63a0-11e7-9511-ca584a8edd74.jpg)](https://liqui.io)                                                              | liqui              | [Liqui](https://liqui.io)                                                               | 3     | [API](https://liqui.io/api)                                                                  |                                                                                                                             | Ukraine                                 |
|[![liquid](https://user-images.githubusercontent.com/1294454/45798859-1a872600-bcb4-11e8-8746-69291ce87b04.jpg)](https://www.liquid.com?affiliate=SbzC62lt30976)                               | liquid             | [Liquid](https://www.liquid.com?affiliate=SbzC62lt30976)                                | 2     | [API](https://developers.quoine.com)                                                         |                                                                                                                             | Japan, China, Taiwan                    |
|[![livecoin](https://user-images.githubusercontent.com/1294454/27980768-f22fc424-638a-11e7-89c9-6010a54ff9be.jpg)](https://livecoin.net/?from=Livecoin-CQ1hfx44)                               | livecoin           | [LiveCoin](https://livecoin.net/?from=Livecoin-CQ1hfx44)                                | *     | [API](https://www.livecoin.net/api?lang=en)                                                  |                                                                                                                             | US, UK, Russia                          |
|[![luno](https://user-images.githubusercontent.com/1294454/27766607-8c1a69d8-5ede-11e7-930c-540b5eb9be24.jpg)](https://www.luno.com)                                                           | luno               | [luno](https://www.luno.com)                                                            | 1     | [API](https://www.luno.com/en/api)                                                           |                                                                                                                             | UK, Singapore, South Africa             |
|[![lykke](https://user-images.githubusercontent.com/1294454/34487620-3139a7b0-efe6-11e7-90f5-e520cef74451.jpg)](https://www.lykke.com)                                                         | lykke              | [Lykke](https://www.lykke.com)                                                          | 1     | [API](https://hft-api.lykke.com/swagger/ui/)                                                 |                                                                                                                             | Switzerland                             |
|[![mandala](https://user-images.githubusercontent.com/1294454/54686665-df629400-4b2a-11e9-84d3-d88856367dd7.jpg)](https://trade.mandalaex.com/?ref=564377)                                     | mandala            | [Mandala](https://trade.mandalaex.com/?ref=564377)                                      | 1.1   | [API](https://documenter.getpostman.com/view/6273708/RznBP1Hh)                               |                                                                                                                             | Malta                                   |
|[![mercado](https://user-images.githubusercontent.com/1294454/27837060-e7c58714-60ea-11e7-9192-f05e86adb83f.jpg)](https://www.mercadobitcoin.com.br)                                           | mercado            | [Mercado Bitcoin](https://www.mercadobitcoin.com.br)                                    | 3     | [API](https://www.mercadobitcoin.com.br/api-doc)                                             |                                                                                                                             | Brazil                                  |
|[![mixcoins](https://user-images.githubusercontent.com/1294454/30237212-ed29303c-9535-11e7-8af8-fcd381cfa20c.jpg)](https://mixcoins.com)                                                       | mixcoins           | [MixCoins](https://mixcoins.com)                                                        | 1     | [API](https://mixcoins.com/help/api/)                                                        |                                                                                                                             | UK, Hong Kong                           |
|[![negociecoins](https://user-images.githubusercontent.com/1294454/38008571-25a6246e-3258-11e8-969b-aeb691049245.jpg)](https://www.negociecoins.com.br)                                        | negociecoins       | [NegocieCoins](https://www.negociecoins.com.br)                                         | 3     | [API](https://www.negociecoins.com.br/documentacao-tradeapi)                                 |                                                                                                                             | Brazil                                  |
|[![nova](https://user-images.githubusercontent.com/1294454/30518571-78ca0bca-9b8a-11e7-8840-64b83a4a94b2.jpg)](https://novaexchange.com)                                                       | nova               | [Novaexchange](https://novaexchange.com)                                                | 2     | [API](https://novaexchange.com/remote/faq)                                                   |                                                                                                                             | Tanzania                                |
|[![okcoincny](https://user-images.githubusercontent.com/1294454/27766792-8be9157a-5ee5-11e7-926c-6d69b8d3378d.jpg)](https://www.okcoin.cn)                                                     | okcoincny          | [OKCoin CNY](https://www.okcoin.cn)                                                     | 1     | [API](https://www.okcoin.cn/rest_getStarted.html)                                            |                                                                                                                             | China                                   |
|[![okcoinusd](https://user-images.githubusercontent.com/1294454/27766791-89ffb502-5ee5-11e7-8a5b-c5950b68ac65.jpg)](https://www.okcoin.com/account/register?flag=activity&channelId=600001513) | okcoinusd          | [OKCoin USD](https://www.okcoin.com/account/register?flag=activity&channelId=600001513) | 1     | [API](https://www.okcoin.com/docs/en/)                                                       |                                                                                                                             | China, US                               |
|[![okex](https://user-images.githubusercontent.com/1294454/32552768-0d6dd3c6-c4a6-11e7-90f8-c043b64756a7.jpg)](https://www.okex.com)                                                           | okex               | [OKEX](https://www.okex.com)                                                            | 1     | [API](https://github.com/okcoin-okex/API-docs-OKEx.com)                                      |                                                                                                                             | China, US                               |
|[![okex3](https://user-images.githubusercontent.com/1294454/32552768-0d6dd3c6-c4a6-11e7-90f8-c043b64756a7.jpg)](https://www.okex.com)                                                          | okex3              | [OKEX](https://www.okex.com)                                                            | 3     | [API](https://www.okex.com/docs/en/)                                                         |                                                                                                                             | China, US                               |
|[![paymium](https://user-images.githubusercontent.com/1294454/27790564-a945a9d4-5ff9-11e7-9d2d-b635763f2f24.jpg)](https://www.paymium.com)                                                     | paymium            | [Paymium](https://www.paymium.com)                                                      | 1     | [API](https://github.com/Paymium/api-documentation)                                          |                                                                                                                             | France, EU                              |
|[![poloniex](https://user-images.githubusercontent.com/1294454/27766817-e9456312-5ee6-11e7-9b3c-b628ca5626a5.jpg)](https://poloniex.com)                                                       | poloniex           | [Poloniex](https://poloniex.com)                                                        | *     | [API](https://docs.poloniex.com)                                                             |                                                                                                                             | US                                      |
|[![quadrigacx](https://user-images.githubusercontent.com/1294454/27766825-98a6d0de-5ee7-11e7-9fa4-38e11a2c6f52.jpg)](https://www.quadrigacx.com/?ref=laiqgbp6juewva44finhtmrk)                 | quadrigacx         | [QuadrigaCX](https://www.quadrigacx.com/?ref=laiqgbp6juewva44finhtmrk)                  | 2     | [API](https://www.quadrigacx.com/api_info)                                                   |                                                                                                                             | Canada                                  |
|[![rightbtc](https://user-images.githubusercontent.com/1294454/42633917-7d20757e-85ea-11e8-9f53-fffe9fbb7695.jpg)](https://www.rightbtc.com)                                                   | rightbtc           | [RightBTC](https://www.rightbtc.com)                                                    | *     | [API](https://52.53.159.206/api/trader/)                                                     |                                                                                                                             | United Arab Emirates                    |
|[![southxchange](https://user-images.githubusercontent.com/1294454/27838912-4f94ec8a-60f6-11e7-9e5d-bbf9bd50a559.jpg)](https://www.southxchange.com)                                           | southxchange       | [SouthXchange](https://www.southxchange.com)                                            | *     | [API](https://www.southxchange.com/Home/Api)                                                 |                                                                                                                             | Argentina                               |
|[![stronghold](https://user-images.githubusercontent.com/1294454/52160042-98c1f300-26be-11e9-90dd-da8473944c83.jpg)](https://stronghold.co)                                                    | stronghold         | [Stronghold](https://stronghold.co)                                                     | 1     | [API](https://docs.stronghold.co)                                                            |                                                                                                                             |                                         |
|[![surbitcoin](https://user-images.githubusercontent.com/1294454/27991511-f0a50194-6481-11e7-99b5-8f02932424cc.jpg)](https://surbitcoin.com)                                                   | surbitcoin         | [SurBitcoin](https://surbitcoin.com)                                                    | 1     | [API](https://blinktrade.com/docs)                                                           |                                                                                                                             | Venezuela                               |
|[![theocean](https://user-images.githubusercontent.com/1294454/43103756-d56613ce-8ed7-11e8-924e-68f9d4bcacab.jpg)](https://theocean.trade)                                                     | theocean           | [The Ocean](https://theocean.trade)                                                     | 1     | [API](https://docs.theocean.trade)                                                           | [![CCXT Certified](https://img.shields.io/badge/CCXT-certified-green.svg)](https://github.com/ccxt/ccxt/wiki/Certification) | US                                      |
|[![therock](https://user-images.githubusercontent.com/1294454/27766869-75057fa2-5ee9-11e7-9a6f-13e641fa4707.jpg)](https://therocktrading.com)                                                  | therock            | [TheRockTrading](https://therocktrading.com)                                            | 1     | [API](https://api.therocktrading.com/doc/v1/index.html)                                      |                                                                                                                             | Malta                                   |
|[![tidebit](https://user-images.githubusercontent.com/1294454/39034921-e3acf016-4480-11e8-9945-a6086a1082fe.jpg)](http://bit.ly/2IX0LrM)                                                       | tidebit            | [TideBit](http://bit.ly/2IX0LrM)                                                        | 2     | [API](https://www.tidebit.com/documents/api/guide)                                           |                                                                                                                             | Hong Kong                               |
|[![tidex](https://user-images.githubusercontent.com/1294454/30781780-03149dc4-a12e-11e7-82bb-313b269d24d4.jpg)](https://tidex.com)                                                             | tidex              | [Tidex](https://tidex.com)                                                              | 3     | [API](https://tidex.com/exchange/public-api)                                                 |                                                                                                                             | UK                                      |
|[![uex](https://user-images.githubusercontent.com/1294454/43999923-051d9884-9e1f-11e8-965a-76948cb17678.jpg)](https://www.uex.com/signup.html?code=VAGQLL)                                     | uex                | [UEX](https://www.uex.com/signup.html?code=VAGQLL)                                      | 1.0.3 | [API](https://download.uex.com/doc/UEX-API-English-1.0.3.pdf)                                |                                                                                                                             | Singapore, US                           |
|[![upbit](https://user-images.githubusercontent.com/1294454/49245610-eeaabe00-f423-11e8-9cba-4b0aed794799.jpg)](https://upbit.com)                                                             | upbit              | [Upbit](https://upbit.com)                                                              | 1     | [API](https://docs.upbit.com/docs/%EC%9A%94%EC%B2%AD-%EC%88%98-%EC%A0%9C%ED%95%9C)           | [![CCXT Certified](https://img.shields.io/badge/CCXT-certified-green.svg)](https://github.com/ccxt/ccxt/wiki/Certification) | South Korea                             |
|[![urdubit](https://user-images.githubusercontent.com/1294454/27991453-156bf3ae-6480-11e7-82eb-7295fe1b5bb4.jpg)](https://urdubit.com)                                                         | urdubit            | [UrduBit](https://urdubit.com)                                                          | 1     | [API](https://blinktrade.com/docs)                                                           |                                                                                                                             | Pakistan                                |
|[![vaultoro](https://user-images.githubusercontent.com/1294454/27766880-f205e870-5ee9-11e7-8fe2-0d5b15880752.jpg)](https://www.vaultoro.com)                                                   | vaultoro           | [Vaultoro](https://www.vaultoro.com)                                                    | 1     | [API](https://api.vaultoro.com)                                                              |                                                                                                                             | Switzerland                             |
|[![vbtc](https://user-images.githubusercontent.com/1294454/27991481-1f53d1d8-6481-11e7-884e-21d17e7939db.jpg)](https://vbtc.exchange)                                                          | vbtc               | [VBTC](https://vbtc.exchange)                                                           | 1     | [API](https://blinktrade.com/docs)                                                           |                                                                                                                             | Vietnam                                 |
|[![virwox](https://user-images.githubusercontent.com/1294454/27766894-6da9d360-5eea-11e7-90aa-41f2711b7405.jpg)](https://www.virwox.com)                                                       | virwox             | [VirWoX](https://www.virwox.com)                                                        | *     | [API](https://www.virwox.com/developers.php)                                                 |                                                                                                                             | Austria, EU                             |
|[![xbtce](https://user-images.githubusercontent.com/1294454/28059414-e235970c-662c-11e7-8c3a-08e31f78684b.jpg)](https://www.xbtce.com)                                                         | xbtce              | [xBTCe](https://www.xbtce.com)                                                          | 1     | [API](https://www.xbtce.com/tradeapi)                                                        |                                                                                                                             | Russia                                  |
|[![yobit](https://user-images.githubusercontent.com/1294454/27766910-cdcbfdae-5eea-11e7-9859-03fea873272d.jpg)](https://www.yobit.net)                                                         | yobit              | [YoBit](https://www.yobit.net)                                                          | 3     | [API](https://www.yobit.net/en/api/)                                                         |                                                                                                                             | Russia                                  |
|[![zaif](https://user-images.githubusercontent.com/1294454/27766927-39ca2ada-5eeb-11e7-972f-1b4199518ca6.jpg)](https://zaif.jp)                                                                | zaif               | [Zaif](https://zaif.jp)                                                                 | 1     | [API](https://techbureau-api-document.readthedocs.io/ja/latest/index.html)                   |                                                                                                                             | Japan                                   |
|[![zb](https://user-images.githubusercontent.com/1294454/32859187-cd5214f0-ca5e-11e7-967d-96568e2e2bd1.jpg)](https://vip.zb.com/user/register?recommendCode=bn070u)                            | zb                 | [ZB](https://vip.zb.com/user/register?recommendCode=bn070u)                             | 1     | [API](https://www.zb.com/i/developer)                                                        |                                                                                                                             | China                                   |

The list above is updated frequently, new crypto markets, exchanges, bug fixes, and API endpoints are introduced on a regular basis. See the [Manual](https://github.com/ccxt/ccxt/wiki) for more details. If you can't find a cryptocurrency exchange in the list above and want it to be added, post a link to it by opening an issue here on GitHub or send us an email.

The library is under [MIT license](https://github.com/ccxt/ccxt/blob/master/LICENSE.txt), that means it's absolutely free for any developer to build commercial and opensource software on top of it, but use it at your own risk with no warranties, as is.

---

## Install

The easiest way to install the CCXT library is to use a package manager:

- [ccxt in **NPM**](https://www.npmjs.com/package/ccxt) (JavaScript / Node v7.6+)
- [ccxt in **PyPI**](https://pypi.python.org/pypi/ccxt) (Python 2 and 3.5.3+)
- [ccxt in **Packagist/Composer**](https://packagist.org/packages/ccxt/ccxt) (PHP 5.4+)

This library is shipped as an all-in-one module implementation with minimalistic dependencies and requirements:

- [`js/`](https://github.com/ccxt/ccxt/blob/master/js/) in JavaScript
- [`python/`](https://github.com/ccxt/ccxt/blob/master/python/) in Python (generated from JS)
- [`php/`](https://github.com/ccxt/ccxt/blob/master/php/) in PHP (generated from JS)

You can also clone it into your project directory from [ccxt GitHub repository](https://github.com/ccxt/ccxt):

```shell
git clone https://github.com/ccxt/ccxt.git
```

### JavaScript (NPM)

JavaScript version of CCXT works in both Node and web browsers. Requires ES6 and `async/await` syntax support (Node 7.6.0+). When compiling with Webpack and Babel, make sure it is [not excluded](https://github.com/ccxt/ccxt/issues/225#issuecomment-331905178) in your `babel-loader` config.

[ccxt in **NPM**](https://www.npmjs.com/package/ccxt)

```shell
npm install ccxt
```

```JavaScript
var ccxt = require ('ccxt')

console.log (ccxt.exchanges) // print all available exchanges
```

### JavaScript (for use with the `<script>` tag):

All-in-one browser bundle (dependencies included), served from a CDN of your choice:

* jsDelivr: https://cdn.jsdelivr.net/npm/ccxt@1.18.591/dist/ccxt.browser.js
* unpkg: https://unpkg.com/ccxt@1.18.591/dist/ccxt.browser.js

CDNs are not updated in real-time and may have delays. Defaulting to the most recent version without specifying the version number is not recommended. Please, keep in mind that we are not responsible for the correct operation of those CDN servers.

```HTML
<script type="text/javascript" src="https://cdn.jsdelivr.net/npm/ccxt@1.18.591/dist/ccxt.browser.js"></script>
```

Creates a global `ccxt` object:

```JavaScript
console.log (ccxt.exchanges) // print all available exchanges
```

### Python

[ccxt in **PyPI**](https://pypi.python.org/pypi/ccxt)

```shell
pip install ccxt
```

```Python
import ccxt
print(ccxt.exchanges) # print a list of all available exchange classes
```

The library supports concurrent asynchronous mode with asyncio and async/await in Python 3.5.3+

```Python
import ccxt.async_support as ccxt # link against the asynchronous version of ccxt
```

### PHP

[ccxt in PHP with **Packagist/Composer**](https://packagist.org/packages/ccxt/ccxt) (PHP 5.4+)

It requires common PHP modules:

- cURL
- mbstring (using UTF-8 is highly recommended)
- PCRE
- iconv
- gmp (this is a built-in extension as of PHP 7.2+)

```PHP
include "ccxt.php";
var_dump (\ccxt\Exchange::$exchanges); // print a list of all available exchange classes
```

### Docker

You can get CCXT installed in a container along with all the supported languages and dependencies. This may be useful if you want to contribute to CCXT (e.g. run the build scripts and tests — please see the [Contributing](https://github.com/ccxt/ccxt/blob/master/CONTRIBUTING.md) document for the details on that).

Using `docker-compose` (in the cloned CCXT repository):

```shell
docker-compose run --rm ccxt
```

---

## Documentation

Read the [Manual](https://github.com/ccxt/ccxt/wiki) for more details.

## Usage

### Intro

The CCXT library consists of a public part and a private part. Anyone can use the public part immediately after installation. Public APIs provide unrestricted access to public information for all exchange markets without the need to register a user account or have an API key.

Public APIs include the following:

- market data
- instruments/trading pairs
- price feeds (exchange rates)
- order books
- trade history
- tickers
- OHLC(V) for charting
- other public endpoints

In order to trade with private APIs you need to obtain API keys from an exchange's website. It usually means signing up to the exchange and creating API keys for your account. Some exchanges require personal info or identification. Sometimes verification may be necessary as well. In this case you will need to register yourself, this library will not create accounts or API keys for you. Some exchanges expose API endpoints for registering an account, but most exchanges don't. You will have to sign up and create API keys on their websites.

Private APIs allow the following:

- manage personal account info
- query account balances
- trade by making market and limit orders
- deposit and withdraw fiat and crypto funds
- query personal orders
- get ledger history
- transfer funds between accounts
- use merchant services

This library implements full public and private REST APIs for all exchanges. WebSocket and FIX implementations in JavaScript, PHP, Python and other languages coming soon.

The CCXT library supports both camelcase notation (preferred in JavaScript) and underscore notation (preferred in Python and PHP), therefore all methods can be called in either notation or coding style in any language.

```JavaScript
// both of these notations work in JavaScript/Python/PHP
exchange.methodName ()  // camelcase pseudocode
exchange.method_name () // underscore pseudocode
```

Read the [Manual](https://github.com/ccxt/ccxt/wiki) for more details.

### JavaScript

```JavaScript
'use strict';
const ccxt = require ('ccxt');

(async function () {
    let kraken    = new ccxt.kraken ()
    let bitfinex  = new ccxt.bitfinex ({ verbose: true })
    let huobipro  = new ccxt.huobipro ()
    let okcoinusd = new ccxt.okcoinusd ({
        apiKey: 'YOUR_PUBLIC_API_KEY',
        secret: 'YOUR_SECRET_PRIVATE_KEY',
    })

    const exchangeId = 'binance'
        , exchangeClass = ccxt[exchangeId]
        , exchange = new exchangeClass ({
            'apiKey': 'YOUR_API_KEY',
            'secret': 'YOUR_SECRET',
            'timeout': 30000,
            'enableRateLimit': true,
        })

    console.log (kraken.id,    await kraken.loadMarkets ())
    console.log (bitfinex.id,  await bitfinex.loadMarkets  ())
    console.log (huobipro.id,  await huobipro.loadMarkets ())

    console.log (kraken.id,    await kraken.fetchOrderBook (kraken.symbols[0]))
    console.log (bitfinex.id,  await bitfinex.fetchTicker ('BTC/USD'))
    console.log (huobipro.id,  await huobipro.fetchTrades ('ETH/CNY'))

    console.log (okcoinusd.id, await okcoinusd.fetchBalance ())

    // sell 1 BTC/USD for market price, sell a bitcoin for dollars immediately
    console.log (okcoinusd.id, await okcoinusd.createMarketSellOrder ('BTC/USD', 1))

    // buy 1 BTC/USD for $2500, you pay $2500 and receive ฿1 when the order is closed
    console.log (okcoinusd.id, await okcoinusd.createLimitBuyOrder ('BTC/USD', 1, 2500.00))

    // pass/redefine custom exchange-specific order params: type, amount, price or whatever
    // use a custom order type
    bitfinex.createLimitSellOrder ('BTC/USD', 1, 10, { 'type': 'trailing-stop' })

}) ();
```

### Python

```Python
# coding=utf-8

import ccxt

hitbtc   = ccxt.hitbtc({'verbose': True})
bitmex   = ccxt.bitmex()
huobipro = ccxt.huobipro()
exmo     = ccxt.exmo({
    'apiKey': 'YOUR_PUBLIC_API_KEY',
    'secret': 'YOUR_SECRET_PRIVATE_KEY',
})
kraken = ccxt.kraken({
    'apiKey': 'YOUR_PUBLIC_API_KEY',
    'secret': 'YOUR_SECRET_PRIVATE_KEY',
})

exchange_id = 'binance'
exchange_class = getattr(ccxt, exchange_id)
exchange = exchange_class({
    'apiKey': 'YOUR_API_KEY',
    'secret': 'YOUR_SECRET',
    'timeout': 30000,
    'enableRateLimit': True,
})

hitbtc_markets = hitbtc.load_markets()

print(hitbtc.id, hitbtc_markets)
print(bitmex.id, bitmex.load_markets())
print(huobipro.id, huobipro.load_markets())

print(hitbtc.fetch_order_book(hitbtc.symbols[0]))
print(bitmex.fetch_ticker('BTC/USD'))
print(huobipro.fetch_trades('LTC/CNY'))

print(exmo.fetch_balance())

# sell one ฿ for market price and receive $ right now
print(exmo.id, exmo.create_market_sell_order('BTC/USD', 1))

# limit buy BTC/EUR, you pay €2500 and receive ฿1  when the order is closed
print(exmo.id, exmo.create_limit_buy_order('BTC/EUR', 1, 2500.00))

# pass/redefine custom exchange-specific order params: type, amount, price, flags, etc...
kraken.create_market_buy_order('BTC/USD', 1, {'trading_agreement': 'agree'})
```

### PHP

```PHP
include 'ccxt.php';

$poloniex = new \ccxt\poloniex ();
$bittrex  = new \ccxt\bittrex  (array ('verbose' => true));
$quoinex  = new \ccxt\quoinex   ();
$zaif     = new \ccxt\zaif     (array (
    'apiKey' => 'YOUR_PUBLIC_API_KEY',
    'secret' => 'YOUR_SECRET_PRIVATE_KEY',
));
$hitbtc   = new \ccxt\hitbtc   (array (
    'apiKey' => 'YOUR_PUBLIC_API_KEY',
    'secret' => 'YOUR_SECRET_PRIVATE_KEY',
));

$exchange_id = 'binance';
$exchange_class = "\\ccxt\\$exchange_id";
$exchange = new $exchange_class (array (
    'apiKey' => 'YOUR_API_KEY',
    'secret' => 'YOUR_SECRET',
    'timeout' => 30000,
    'enableRateLimit' => true,
));

$poloniex_markets = $poloniex->load_markets ();

var_dump ($poloniex_markets);
var_dump ($bittrex->load_markets ());
var_dump ($quoinex->load_markets ());

var_dump ($poloniex->fetch_order_book ($poloniex->symbols[0]));
var_dump ($bittrex->fetch_trades ('BTC/USD'));
var_dump ($quoinex->fetch_ticker ('ETH/EUR'));
var_dump ($zaif->fetch_ticker ('BTC/JPY'));

var_dump ($zaif->fetch_balance ());

// sell 1 BTC/JPY for market price, you pay ¥ and receive ฿ immediately
var_dump ($zaif->id, $zaif->create_market_sell_order ('BTC/JPY', 1));

// buy BTC/JPY, you receive ฿1 for ¥285000 when the order closes
var_dump ($zaif->id, $zaif->create_limit_buy_order ('BTC/JPY', 1, 285000));

// set a custom user-defined id to your order
$hitbtc->create_order ('BTC/USD', 'limit', 'buy', 1, 3000, array ('clientOrderId' => '123'));
```

## Contributing

Please read the [CONTRIBUTING](https://github.com/ccxt/ccxt/blob/master/CONTRIBUTING.md) document before making changes that you would like adopted in the code. Also, read the [Manual](https://github.com/ccxt/ccxt/wiki) for more details.

## Support Developer Team

We are investing a significant amount of time into the development of this library. If CCXT made your life easier and you want to help us improve it further, or if you want to speed up development of new features and exchanges, please support us with a tip. We appreciate all contributions!

### Sponsors

Support this project by becoming a sponsor. Your logo will show up here with a link to your website.

[[Become a sponsor](https://opencollective.com/ccxt#sponsor)]

<a href="https://opencollective.com/ccxt/tiers/sponsor/0/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/sponsor/0/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/sponsor/1/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/sponsor/1/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/sponsor/2/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/sponsor/2/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/sponsor/3/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/sponsor/3/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/sponsor/4/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/sponsor/4/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/sponsor/5/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/sponsor/5/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/sponsor/6/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/sponsor/6/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/sponsor/7/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/sponsor/7/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/sponsor/8/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/sponsor/8/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/sponsor/9/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/sponsor/9/avatar.svg"></a>

### Supporters

Support this project by becoming a supporter. Your avatar will show up here with a link to your website.

[[Become a supporter](https://opencollective.com/ccxt#supporter)]

<a href="https://opencollective.com/ccxt/tiers/supporter/0/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/supporter/0/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/supporter/1/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/supporter/1/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/supporter/2/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/supporter/2/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/supporter/3/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/supporter/3/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/supporter/4/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/supporter/4/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/supporter/5/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/supporter/5/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/supporter/6/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/supporter/6/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/supporter/7/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/supporter/7/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/supporter/8/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/supporter/8/avatar.svg"></a>
<a href="https://opencollective.com/ccxt/tiers/supporter/9/website" target="_blank"><img src="https://opencollective.com/ccxt/tiers/supporter/9/avatar.svg"></a>

### Backers

Thank you to all our backers! [[Become a backer](https://opencollective.com/ccxt#backer)]

<a href="https://opencollective.com/ccxt#backers" target="_blank"><img src="https://opencollective.com/ccxt/tiers/backer.svg?width=890"></a>

### Crypto

```
ETH 0x26a3CB49578F07000575405a57888681249c35Fd (ETH only)
BTC 33RmVRfhK2WZVQR1R83h2e9yXoqRNDvJva
BCH 1GN9p233TvNcNQFthCgfiHUnj5JRKEc2Ze
LTC LbT8mkAqQBphc4yxLXEDgYDfEax74et3bP
```

Thank you!

## Social

- [Follow us on Twitter](https://twitter.com/ccxt_official)
- [Read our blog on Medium](https://medium.com/@ccxt)

## Team

- [Igor Kroitor](https://github.com/kroitor)
- [Vitaly Gordon](https://github.com/xpl)
- [Denis Voropaev](https://github.com/tankakatan)
- [Carlo Revelli](https://github.com/frosty00)

## Contact Us

For business inquiries: info@ccxt.trade
